#!/usr/bin/python
#
# Connect script for INDI Dome Scripting Gateway
#
# Arguments: none
# Exit code: 0 for success, 1 for failure
#

import sys
import serial
import tosr0x

# Connect to USB relay board and set all relays to Power ON state
sd=serial.Serial('/dev/roof', timeout=0.1)
# By specifying number of relays, relays won't cycle and won't create unwanted states
myTosr0x=tosr0x.relayModule(sd, 4)
myTosr0x.set_relay_position(0,0)

coordinates = open('/tmp/indi-status', 'w')
coordinates.truncate()
coordinates.write('1 0 0')
coordinates.close()

sys.exit(0)


