#!/usr/bin/python
#
# UnPark script for INDI Dome Scripting Gateway
#
# Arguments: none
# Exit code: 0 for success, 1 for failure
#

import sys
import serial
import time
import tosr0x

sd=serial.Serial('/dev/roof', timeout=0.1)
myTosr0x=tosr0x.relayModule(sd, 4)

# If roof neither opened nor closed, exit
if myTosr0x.get_input_state() == '0000' :
	exit(0)

# If roof already opened, exit
if myTosr0x.get_input_state() == '0100' :
        exit(0)

time.sleep(1)
# Blink safety LEDs 10 seconds before, and during opening roof (relay #1)
myTosr0x.set_relay_position(1,1)
time.sleep(10)
# Make sure actuator is not energized (relay #4) and set linear actuator in unpark mode (relay #3)
myTosr0x.set_relay_position(4,0)
myTosr0x.set_relay_position(3,1)
time.sleep(1)
# Energize actuator (relay #4)
myTosr0x.set_relay_position(4,1)

# Wait until roof completely opened (limit switch on digital input #2)
while myTosr0x.get_input_state() != '0100' :
	time.sleep(1)

# De-energized actuator and set it in park mode
myTosr0x.set_relay_position(4,0)
myTosr0x.set_relay_position(3,0)
time.sleep(2)
# Turn off safety LEDs
myTosr0x.set_relay_position(1,0)

coordinates = open('/tmp/indi-status', 'w')
coordinates.truncate()
coordinates.write('0 0 0')
coordinates.close()

sys.exit(0)


